curl --request GET \
--url https://api.aisa.one/apis/v1/brave/images/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/images/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/images/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/brave/images/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/brave/images/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/brave/images/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/brave/images/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"extra": {
"might_be_offensive": false
},
"query": {
"original": "<string>",
"altered": "<string>",
"show_strict_warning": true,
"spellcheck_off": true
},
"results": [
{
"confidence": "low",
"meta_url": {
"favicon": "<string>",
"hostname": "<string>",
"netloc": "<string>",
"path": "<string>",
"scheme": "<string>"
},
"page_fetched": "<string>",
"properties": {
"height": 123,
"placeholder": "<string>",
"url": "<string>",
"width": 123
},
"source": "<string>",
"thumbnail": {
"height": 123,
"src": "<string>",
"width": 123
},
"title": "<string>",
"type": "image_result",
"url": "<string>"
}
],
"type": "images"
}Image Search
Image Search
curl --request GET \
--url https://api.aisa.one/apis/v1/brave/images/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/images/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/images/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/brave/images/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/brave/images/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/brave/images/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/brave/images/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"extra": {
"might_be_offensive": false
},
"query": {
"original": "<string>",
"altered": "<string>",
"show_strict_warning": true,
"spellcheck_off": true
},
"results": [
{
"confidence": "low",
"meta_url": {
"favicon": "<string>",
"hostname": "<string>",
"netloc": "<string>",
"path": "<string>",
"scheme": "<string>"
},
"page_fetched": "<string>",
"properties": {
"height": 123,
"placeholder": "<string>",
"url": "<string>",
"width": 123
},
"source": "<string>",
"thumbnail": {
"height": 123,
"src": "<string>",
"width": 123
},
"title": "<string>",
"type": "image_result",
"url": "<string>"
}
],
"type": "images"
}Request contract
- Method and path: GET /apis/v1/brave/images/search
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/brave/images/search - accept: header; optional
- api-version: header; optional
- cache-control: header; optional
- user-agent: header; optional
- count: query; optional
- country: query; optional
- q: query; required
- safesearch: query; optional
- search_lang: query; optional
- spellcheck: query; optional
{
"operationId": "any_brave_search_apis_v1_brave_images_search",
"method": "GET",
"path": "/apis/v1/brave/images/search",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"deprecated": false,
"description": "The default supported media type is application/json.",
"examples": {
"0": {
"value": "application/json"
}
},
"in": "header",
"name": "accept",
"required": false,
"schema": {
"allOf": [
{
"enum": [
"application/json",
"*/*"
],
"title": "Accept",
"type": "string"
},
{
"default": "application/json"
}
],
"description": "The default supported media type is application/json.",
"examples": [
"application/json"
],
"title": "Media type"
}
},
{
"deprecated": false,
"description": "The API version to use. This is denoted by the format <code>YYYY-MM-DD</code>. Default is the latest that is available. Read more about <a href=\"/documentation/guides/versioning\">API versioning</a>.",
"in": "header",
"name": "api-version",
"required": false,
"schema": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"description": "The API version to use. This is denoted by the format <code>YYYY-MM-DD</code>. Default is the latest that is available. Read more about <a href=\"/documentation/guides/versioning\">API versioning</a>.",
"title": "API version"
}
},
{
"deprecated": false,
"description": "Brave Search will return cached content by default. To prevent caching set the Cache-Control header to <code>no-cache</code>. This is currently done as best effort.",
"in": "header",
"name": "cache-control",
"required": false,
"schema": {
"anyOf": [
{
"const": "no-cache",
"enum": [
"no-cache"
],
"title": "CacheControl",
"type": "string"
},
{
"type": "null"
}
],
"description": "Brave Search will return cached content by default. To prevent caching set the Cache-Control header to <code>no-cache</code>. This is currently done as best effort.",
"title": "Cache control"
}
},
{
"deprecated": false,
"description": "The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see <a href=\"https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent\">RFC 9110</a>.",
"examples": {
"Android": {
"description": "Android",
"value": "Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36"
},
"Windows": {
"description": "Windows",
"value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36"
},
"iOS": {
"description": "iOS",
"value": "Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1"
},
"macOS": {
"description": "macOS",
"value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36"
}
},
"in": "header",
"name": "user-agent",
"required": false,
"schema": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"description": "The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see <a href=\"https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent\">RFC 9110</a>.",
"title": "User agent"
}
},
{
"deprecated": false,
"description": "<p>The number of search results returned in response. The maximum is 200. The actual number delivered may be less than requested.</p>\n<p><strong>NOTE:</strong> Image search is not paginated and has no <code>offset</code> parameter. Raise <code>count</code> to get more results.</p>",
"in": "query",
"name": "count",
"required": false,
"schema": {
"default": 50,
"description": "<p>The number of search results returned in response. The maximum is 200. The actual number delivered may be less than requested.</p>\n<p><strong>NOTE:</strong> Image search is not paginated and has no <code>offset</code> parameter. Raise <code>count</code> to get more results.</p>",
"maximum": 200,
"minimum": 1,
"title": "Count",
"type": "integer"
}
},
{
"deprecated": false,
"description": "The search query country, where the results come from. The country string is limited to 2 character country codes of supported countries and <code>ALL</code> for worldwide.",
"in": "query",
"name": "country",
"required": false,
"schema": {
"allOf": [
{
"enum": [
"AR",
"AU",
"AT",
"BE",
"BR",
"CA",
"CL",
"DK",
"FI",
"FR",
"DE",
"GR",
"HK",
"IN",
"ID",
"IT",
"JP",
"KR",
"MY",
"MX",
"NL",
"NZ",
"NO",
"CN",
"PL",
"PT",
"PH",
"RU",
"SA",
"ZA",
"ES",
"SE",
"CH",
"TW",
"TR",
"GB",
"US",
"ALL"
],
"title": "SearchCountry",
"type": "string"
},
{
"default": "US"
}
],
"description": "The search query country, where the results come from. The country string is limited to 2 character country codes of supported countries and <code>ALL</code> for worldwide."
}
},
{
"deprecated": false,
"description": "The user’s search query term. Query can not be empty. Maximum of 400 characters and 50 words in the query.",
"in": "query",
"name": "q",
"required": true,
"schema": {
"description": "The user’s search query term. Query can not be empty. Maximum of 400 characters and 50 words in the query.",
"maxLength": 400,
"minLength": 1,
"title": "Q",
"type": "string"
}
},
{
"deprecated": false,
"description": "<p>Filters search results for adult content. The following values are supported:</p>\n<ul>\n<li><strong>off</strong> - No content filtering (except for illegal content).</li>\n<li><strong>strict</strong> - Drops all adult content from search results.</li>\n</ul>",
"examples": {
"1": {
"value": "off"
},
"2": {
"value": "strict"
}
},
"in": "query",
"name": "safesearch",
"required": false,
"schema": {
"allOf": [
{
"enum": [
"off",
"strict"
],
"title": "SafeSearch",
"type": "string"
},
{
"default": "strict"
}
],
"description": "<p>Filters search results for adult content. The following values are supported:</p>\n<ul>\n<li><strong>off</strong> - No content filtering (except for illegal content).</li>\n<li><strong>strict</strong> - Drops all adult content from search results.</li>\n</ul>",
"examples": [
"off",
"strict"
],
"title": "Safe search"
}
},
{
"deprecated": false,
"description": "The search language preference. The 2 or more character language code for which the search results are provided.",
"in": "query",
"name": "search_lang",
"required": false,
"schema": {
"allOf": [
{
"enum": [
"ar",
"eu",
"bn",
"bg",
"ca",
"zh-hans",
"zh-hant",
"hr",
"cs",
"da",
"nl",
"en",
"en-gb",
"et",
"fi",
"fr",
"gl",
"de",
"el",
"gu",
"he",
"hi",
"hu",
"is",
"it",
"ja",
"jp",
"kn",
"ko",
"lv",
"lt",
"ms",
"ml",
"mr",
"nb",
"pl",
"pt-br",
"pt-pt",
"pa",
"ro",
"ru",
"sr",
"sk",
"sl",
"es",
"sv",
"ta",
"te",
"th",
"tr",
"uk",
"vi"
],
"title": "Language",
"type": "string"
},
{
"default": "en"
}
],
"description": "The search language preference. The 2 or more character language code for which the search results are provided."
}
},
{
"deprecated": false,
"description": "Whether to spell check provided query. If the spell checker is enabled, the modified query is always used for search. The modified query can be found in altered key from the query response model.",
"examples": {
"1": {
"value": true
},
"2": {
"value": false
}
},
"in": "query",
"name": "spellcheck",
"required": false,
"schema": {
"default": true,
"description": "Whether to spell check provided query. If the spell checker is enabled, the modified query is always used for search. The modified query can be found in altered key from the query response model.",
"examples": [
true,
false
],
"title": "Spellcheck",
"type": "boolean"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Request pricing. Default request estimate: $0.005 USD. The final charge depends on actual usage. Your account price may differ; use a request quote where supported.Authorizations
Headers
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
Query Parameters
The search query country, where the results come from. The country string is limited to 2 character country codes of supported countries and ALL for worldwide.
AR, AU, AT, BE, BR, CA, CL, DK, FI, FR, DE, GR, HK, IN, ID, IT, JP, KR, MY, MX, NL, NZ, NO, CN, PL, PT, PH, RU, SA, ZA, ES, SE, CH, TW, TR, GB, US, ALL The search language preference. The 2 or more character language code for which the search results are provided.
ar, eu, bn, bg, ca, zh-hans, zh-hant, hr, cs, da, nl, en, en-gb, et, fi, fr, gl, de, el, gu, he, hi, hu, is, it, ja, jp, kn, ko, lv, lt, ms, ml, mr, nb, pl, pt-br, pt-pt, pa, ro, ru, sr, sk, sl, es, sv, ta, te, th, tr, uk, vi Response
Successful Response